# Uses of Class
org.apache.lucene.sandbox.search.CombinedFieldQuery.Builder

Packages that use CombinedFieldQuery.Builder
Package
Description
org.apache.lucene.sandbox.search
This package contains a flexible graph-based proximity query, TermAutomatonQuery, and geospatial queries.

- ## Uses of CombinedFieldQuery.Builder in org.apache.lucene.sandbox.search

  Methods in org.apache.lucene.sandbox.search that return CombinedFieldQuery.Builder
  Modifier and Type
  Method
  Description
  `CombinedFieldQuery.Builder`
  CombinedFieldQuery.Builder.`addField(String field)`
  Adds a field to this builder.
  `CombinedFieldQuery.Builder`
  CombinedFieldQuery.Builder.`addField(String field, float weight)`
  Adds a field to this builder.
  `CombinedFieldQuery.Builder`
  CombinedFieldQuery.Builder.`addTerm(BytesRef term)`
  Adds a term to this builder.